Get a quantitative promotion
Returns one quantitative promotion by `id`. Requires `Permissions.Promotions.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
discountAmount?numberFormat
decimaldiscountPercent?numberFormat
decimalid?integerFormat
int32productId?integerFormat
int32quantityFrom?numberFormat
decimalquantityTo?numberFormat
decimalcurl -X GET 'https://<your-instance>/api/promotions/quantitative-promotions/0' \ -H 'Authorization: Bearer <access-token>'{ "discountAmount": 0, "discountPercent": 0, "id": 0, "productId": 0, "quantityFrom": 0, "quantityTo": 0}